javax.swing.plaf.metal

## Class MetalBorders

- java.lang.Object
- - javax.swing.plaf.metal.MetalBorders

    public class MetalBorders
    extends Object

Factory object that can vend Borders appropriate for the metal L & F.

### Nested Class Summary

Nested Classes
`static class` `MetalBorders.ButtonBorder`
`static class` `MetalBorders.Flush3DBorder`
`static class` `MetalBorders.InternalFrameBorder`
`static class` `MetalBorders.MenuBarBorder`
`static class` `MetalBorders.MenuItemBorder`
`static class` `MetalBorders.OptionDialogBorder`
`static class` `MetalBorders.PaletteBorder` Border for a Palette.
`static class` `MetalBorders.PopupMenuBorder`
`static class` `MetalBorders.RolloverButtonBorder`
`static class` `MetalBorders.ScrollPaneBorder`
`static class` `MetalBorders.TableHeaderBorder` Border for a Table Header
`static class` `MetalBorders.TextFieldBorder`
`static class` `MetalBorders.ToggleButtonBorder`
`static class` `MetalBorders.ToolBarBorder`

### Constructor Summary

Constructors
Constructor and Description
`MetalBorders()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Border` `getButtonBorder()` Returns a border instance for a JButton
`static Border` `getDesktopIconBorder()` Returns a border instance for a Desktop Icon
`static Border` `getTextBorder()` Returns a border instance for a text component
`static Border` `getTextFieldBorder()` Returns a border instance for a JTextField
`static Border` `getToggleButtonBorder()` Returns a border instance for a JToggleButton

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalBorders

    public MetalBorders()

### Method Detail

#### getButtonBorder

    public static Border getButtonBorder()

Returns a border instance for a JButton

Since:
  1.3

#### getTextBorder

    public static Border getTextBorder()

Returns a border instance for a text component

Since:
  1.3

#### getTextFieldBorder

    public static Border getTextFieldBorder()

Returns a border instance for a JTextField

Since:
  1.3

#### getToggleButtonBorder

    public static Border getToggleButtonBorder()

Returns a border instance for a JToggleButton

Since:
  1.3

#### getDesktopIconBorder

    public static Border getDesktopIconBorder()

Returns a border instance for a Desktop Icon

Since:
  1.3